
-- We may need to set some paths to the correct location of CMakeLuaUtils.lua
require "CMakeLuaUtils"

-- Create some nested lists as a torture test.
list1 = { "file1.c", "file2.c", "file3.c" }
list2 = { 'file4.c', "file5.c", "file6.c" }
list3 = { {'file7.c', {"file8.c"} }, "file9.c" }


-- a simple test case
cm_project ("LuaTest");

cm_add_executable ("LuaTest", "simple.cxx");

sources = {
  "simpleLib.cxx",
  "simpleCLib.c", 
  "simpleWe.cpp"
}

-- cm_add_library ("simpleLib", "STATIC", unpack(sources));
-- Instead of calling the 'real' CMake/Lua API function, call 
-- an intermediate Lua function from a support module that wraps 
-- the 'real' function and handles argument manipulation.
cm.add_library("mylib", cm.STATIC, sources, list1, "filea.c", list2, "fileb.c", list3)

cm_target_link_libraries ("LuaTest", "simpleLib");

print("The location of simpleLib is: " .. 
  cm_get_property("TARGET", "simpleLib", "LOCATION"));

 
